/*

Need to Create a data base name with [BBS]

*/


USE [BBS]
GO

if object_ID('dbo.Transaction_Details') is not null
Drop table Transaction_Details

if object_ID('dbo.Bills') is not null
Drop table Bills

if object_ID('dbo.Cust_Details') is not null
Drop table Cust_Details


if object_ID('dbo.Subscription') is not null
Drop table Subscription

if object_ID('dbo.User_Login') is not null
Drop table User_Login


-- Creation of tables

Create Table dbo.User_Login (
	  [UserID] int identity (1,1) NOT NULL
	, [Password] BINARY(64) NOT NULL
	, CONSTRAINT [PK_User_UserID] PRIMARY KEY CLUSTERED (UserID ASC)
)

Create Table dbo.Subscription(
	  SubscriptionID int identity (1,1) NOT NULL
	, SubscriptionCost int
	, SubscriptionDetails varchar(max)
	, SubscriptionArea varchar(max)
	, SubscriptionSpeed varchar(max)
	, CONSTRAINT [PK_Subscription_SubscriptionID] PRIMARY KEY CLUSTERED (SubscriptionID ASC)
)

Create Table dbo.Cust_Details (
	  CustomerID int identity (100000,1) NOT NULL
	, CustomerMobileNumber varchar(50) NOT NULL
	, CustomerName varchar(255)
	, CustomerAddress varchar(255)
	, CustomerType varchar(255)
	, CustomerIDProof varchar(255)
	, UserID int NOT NULL
	, SubscriptionID int 
	, CONSTRAINT [PK_Cust_Details_CustomerID] PRIMARY KEY CLUSTERED (CustomerID ASC)
	, CONSTRAINT FK_Cust_Details_UserID FOREIGN KEY (UserID) REFERENCES User_login(UserID)
	, CONSTRAINT FK_Cust_Details_SubscriptionID FOREIGN KEY (SubscriptionID) REFERENCES Subscription(SubscriptionID)
)

Create Table dbo.Bills(
  BillNo int identity (1,1) NOT NULL
, [Month] Varchar(255)
, Cost int
, [Status]  Varchar(max) default 'Pending'
, CustomerID int
, SubscriptionID int
, CONSTRAINT [PK_Bills_BillNo] PRIMARY KEY CLUSTERED (BillNo ASC)
, CONSTRAINT FK_Bills_CustomerID FOREIGN KEY (CustomerID) REFERENCES Cust_Details(CustomerID)
, CONSTRAINT FK_Bills_SubscriptionID FOREIGN KEY (SubscriptionID) REFERENCES Subscription(SubscriptionID)
)

Create Table dbo.Transaction_Details(
	  TransactionID int identity (1,1) NOT NULL
	, DateOfIssue DateTime 
	, PaidAmount int
	, PayMethod Varchar(max)
	, BillNo int
	, CONSTRAINT [PK_Transaction_Details_TransactionID] PRIMARY KEY CLUSTERED (TransactionID ASC)
	, CONSTRAINT FK_Transaction_Details_BillNo FOREIGN KEY (BillNo) REFERENCES Bills(BillNo)
)


--SElect * From sys.tables 



-- Add Referance data to Subscription

insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (1075, 'A-MAX 1075', 'HYDERABAD', '150 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (700, 'A-MAX 700', 'HYDERABAD', '75 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (500, 'A-MAX 500', 'HYDERABAD', '40 Mbps')


insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (1185, 'A-Storm', 'BENGALURU', '300 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (710, 'A-Swift', 'BENGALURU', '75 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (470, 'A-Basic', 'BENGALURU', '40 Mbps')

insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (1020, 'A-Blaze', 'CHENNAI', '150 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (820, 'A-Basic', 'CHENNAI', '100 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (470, 'A-Starter', 'CHENNAI', '40 Mbps')


insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (1049, 'A-Platinum', 'DELHI', '250 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (799, 'A-Silver', 'DELHI', '150 Mbps')
insert into Subscription ( SubscriptionCost	, SubscriptionDetails	, SubscriptionArea 	, SubscriptionSpeed )
Values (471, 'A-Welcome', 'DELHI', '50 Mbps')