USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_GenerageBillForCustomer_prc]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_GenerageBillForCustomer_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_GenerageBillForCustomer_prc] (
													  @SubscriptionID int
													, @Month VARCHAR(255)
													, @CustomerID int
												)
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN

Declare @BillNo int
Declare @TransactionID int

INSERT INTO bills
            ([month],
             cost,
             customerid,
             subscriptionid)
SELECT @Month,
       subscriptioncost,
       @CustomerID,
       subscriptionid
FROM   subscription s (nolock)
WHERE  subscriptionid = @SubscriptionID 
       --AND NOT EXISTS (SELECT 1
       --                FROM   bills b (nolock)
       --                WHERE  b.subscriptionid = s.subscriptionid
       --                       AND b.customerid = @CustomerID
       --                       AND b.[month] = @Month) 
Set @BillNo=SCOPE_IDENTITY()

insert into Transaction_Details (
								  DateOfIssue  
								, BillNo 
								)
Values (
		  Getdate()
		, @BillNo
		)

Set @TransactionID=SCOPE_IDENTITY()

Select 'Bill Created successfully you BillNo is ' + Convert(varchar(max),@BillNo) + ' and Transactionid is ' + Convert(varchar(max),@TransactionID)

END
