USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_MakeTranactionsForPayment_prc]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_MakeTranactionsForPayment_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_MakeTranactionsForPayment_prc] (
													     @TransactionID int
														 , @PaidAmount int
														 , @PayMethod Varchar(255)
												        )
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN
	UPDATE t
	SET    t.paidamount = @PaidAmount,
		   t.paymethod = @PayMethod
	FROM   transaction_details t
	WHERE  t.transactionid = @TransactionID 

	SELECT b.customerid,
		   b.subscriptionid,
		   b.billno,
		   b.[month],
		   t.TransactionID,
		   t.dateofissue,
		   b.cost,
		   b.[status]
	FROM   bills b
		   JOIN transaction_details t
			 ON b.billno = t.billno
	WHERE  t.transactionid = @TransactionID 

END

 	