USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_ShowPendingTranactions_prc]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_ShowPendingTranactions_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_ShowPendingTranactions_prc] (
													     @CustomerID int
												        )
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN
	SELECT b.customerid,
		   b.subscriptionid,
		   b.billno,
		   b.[month],
		   t.TransactionID,
		   t.dateofissue,
		   b.cost,
		   b.[status]
	FROM   bills b(nolock)
		   JOIN transaction_details t
			 ON b.billno = t.billno
	WHERE  b.[status] = 'Pending' 
		AND b.customerid=@CustomerID
END

 	